Executes a search query using query string parameters for simple search scenarios.

Behavior: Provides a GET-based search interface where common search parameters can be passed as query strings. Query string values override any corresponding values in the optional request body SearchModel. Filters are extracted from additional query string parameters beyond the named ones. Sort order accepts "descending", "desc", or "1" for descending sort.

Authorization: Requires a valid Bearer token.

Side Effects: None.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int32

The number of results to return per page. Overrides the value in the body model.

string

The pagination offset for the result set. Overrides the value in the body model.

string

The free-text search query. Overrides the value in the body model.

string

The field name to sort results by.

int32
enum

The sort direction: ascending (default) or descending.

0 = Ascending

1 = Descending

Allowed:
boolean
Defaults to false

When true, includes internal system fields in the search result output. Defaults to false.

Body Params

Optional SearchModel in the request body for advanced search configuration.

int32

Gets or sets the size of the page (the number of items returned for this page)

string

Gets or sets the offset of the page (zero based).

string | null

Gets or sets a text string to search within all of the text fields to match

filters
array of objects | null

Gets or sets a list of the filters to apply for this search

filters
searchTextFields
array of objects | null

Gets or sets a list of the search text fields to apply for this search.

searchTextFields
int32
enum

0 = And

1 = Or

Allowed:
sortFields
array of objects | null

Gets or sets the fields to sort by

sortFields
returnedFieldNames
array of strings | null
deprecated
returnedFieldNames
fullUrlFieldNames
array of strings | null

Gets or sets the list of fields that should have the FullURL calculated. The calculations are expensive and greatly slow down the query. Use this field to only return the ones that are actually needed.

fullUrlFieldNames
string | null

Gets or sets optional property that will be used to aggregate results records to distinct occurances of this field's values.

boolean

Gets or sets a value indicating whether specify if the video search results are grouped by include clips of the videos also.

searchResultFields
array of objects | null

Gets or sets the list of fields and optionally the sub fields and related records that should be returned as a result

searchResultFields
uuid | null

Gets or sets when SimilarAssetId has a value, then the search results are a special type of results and bring back the items that are the most similar to the item represented here. This search is only enabled when Vector searching has been enabled. When this has a value, the SearchQuery value and PageOffset values are ignored.

double | null

Gets or sets specifies the minimum score to match when returning results. If omitted, the system default will be used - which is usually .65

boolean

Gets or sets a value indicating whether normally, the total record count is returned but the query can be made faster if this value is excluded.

boolean

Gets or sets a value indicating whether gets or Sets a value representing if the search engine should try and use the LLM search instead of the standard search.

Headers
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json